edu.msu.cme.rdp.classifier.train.validation.leaveoneout

## Class LeaveOneOutTesterMain

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.leaveoneout.LeaveOneOutTesterMain

    public class LeaveOneOutTesterMain
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `HIDETAXON_SHORT_OPT`
`static java.lang.String` `LENGTH_DESC`
`static java.lang.String` `LENGTH_LONG_OPT`
`static java.lang.String` `LENGTH_SHORT_OPT`
`static java.lang.String` `OUTFILE_DESC`
`static java.lang.String` `OUTFILE_LONG_OPT`
`static java.lang.String` `OUTFILE_SHORT_OPT`
`static java.lang.String` `QUERYFILE_DESC`
`static java.lang.String` `QUERYFILE_LONG_OPT`
`static java.lang.String` `QUERYFILE_SHORT_OPT`
`static java.lang.String` `TRAIN_SEQFILE_DESC`
`static java.lang.String` `TRAIN_SEQFILE_LONG_OPT`
`static java.lang.String` `TRAIN_SEQFILE_SHORT_OPT`
`static java.lang.String` `TRAIN_TAXONFILE_DESC`
`static java.lang.String` `TRAIN_TAXONFILE_LONG_OPT`
`static java.lang.String` `TRAIN_TAXONFILE_SHORT_OPT`

### Constructor Summary

Constructors
Constructor and Description
`LeaveOneOutTesterMain(java.lang.String taxFile, java.lang.String trainseqFile, java.lang.String testFile, java.lang.String outFile, int numGoodBases, int min_bootstrap_words, boolean hideTaxon)` Creates a new Classification

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### QUERYFILE_LONG_OPT

    public static final java.lang.String QUERYFILE_LONG_OPT

See Also:
  Constant Field Values

#### OUTFILE_LONG_OPT

    public static final java.lang.String OUTFILE_LONG_OPT

See Also:
  Constant Field Values

#### TRAIN_SEQFILE_LONG_OPT

    public static final java.lang.String TRAIN_SEQFILE_LONG_OPT

See Also:
  Constant Field Values

#### TRAIN_TAXONFILE_LONG_OPT

    public static final java.lang.String TRAIN_TAXONFILE_LONG_OPT

See Also:
  Constant Field Values

#### LENGTH_LONG_OPT

    public static final java.lang.String LENGTH_LONG_OPT

See Also:
  Constant Field Values

#### QUERYFILE_SHORT_OPT

    public static final java.lang.String QUERYFILE_SHORT_OPT

See Also:
  Constant Field Values

#### OUTFILE_SHORT_OPT

    public static final java.lang.String OUTFILE_SHORT_OPT

See Also:
  Constant Field Values

#### TRAIN_SEQFILE_SHORT_OPT

    public static final java.lang.String TRAIN_SEQFILE_SHORT_OPT

See Also:
  Constant Field Values

#### TRAIN_TAXONFILE_SHORT_OPT

    public static final java.lang.String TRAIN_TAXONFILE_SHORT_OPT

See Also:
  Constant Field Values

#### LENGTH_SHORT_OPT

    public static final java.lang.String LENGTH_SHORT_OPT

See Also:
  Constant Field Values

#### HIDETAXON_SHORT_OPT

    public static final java.lang.String HIDETAXON_SHORT_OPT

See Also:
  Constant Field Values

#### TRAIN_SEQFILE_DESC

    public static final java.lang.String TRAIN_SEQFILE_DESC

See Also:
  Constant Field Values

#### TRAIN_TAXONFILE_DESC

    public static final java.lang.String TRAIN_TAXONFILE_DESC

See Also:
  Constant Field Values

#### LENGTH_DESC

    public static final java.lang.String LENGTH_DESC

See Also:
  Constant Field Values

#### QUERYFILE_DESC

    public static final java.lang.String QUERYFILE_DESC

See Also:
  Constant Field Values

#### OUTFILE_DESC

    public static final java.lang.String OUTFILE_DESC

See Also:
  Constant Field Values

### Constructor Detail

#### LeaveOneOutTesterMain

    public LeaveOneOutTesterMain(java.lang.String taxFile,
                         java.lang.String trainseqFile,
                         java.lang.String testFile,
                         java.lang.String outFile,
                         int numGoodBases,
                         int min_bootstrap_words,
                         boolean hideTaxon)
                          throws java.io.IOException

Creates a new Classification

Throws:
  `java.io.IOException`

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.io.FileNotFoundException,
                            java.io.IOException

Throws:
  `java.io.FileNotFoundException`
  `java.io.IOException`